## org.apache.cassandra.utils
Class NodeId.NodeIdRecord

    java.lang.Object
      org.apache.cassandra.utils.NodeId.NodeIdRecord

Enclosing class:
  NodeId

    public static class NodeId.NodeIdRecord

extends java.lang.Object

Field Summary
`NodeId` `id`
`long` `timestamp`

Constructor Summary
`NodeId.NodeIdRecord(NodeId id, long timestamp)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public final NodeId id

### timestamp

    public final long timestamp

Constructor Detail

### NodeId.NodeIdRecord

    public NodeId.NodeIdRecord(NodeId id,
                               long timestamp)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation